﻿@model IEnumerable<Category>
@{
    ViewData["Title"] = "Index";
}


<br /><br />
<h1>Index Category</h1>

<div class="container p-3">
   <div class="row pt-4">
        <div class="col-6">
            <h2 class="text-primary">Category List</h2>
        </div>
        <div class="col-6 text-end">
            <a asp-controller="Category" asp-action="Create" class="btn btn-primary">
                <i class="bi bi-plus-circle"></i> &nbsp; New Category
            </a>
        </div>
   </div>
</div>

<table class="table table-bordered table-striped" style="width:100%">
    <thead>
        <tr>
            <th>
                Category Name
            </th>
            <th>
                Display Order
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach(var obj in Model){
            <tr>
                <td>
                    @obj.Name
                </td>
                <td>
                    @obj.DisplayOrder
                </td>
                <td>
                    <div class="w-75 btn-group" role="group">
                        <a asp-controller="Category" asp-action="Edit" asp-route-id="@obj.Id"
                        class="btn btn-primary mx-1"><i class="bi bi-pencil-square"></i>Edit</a>
                        <a asp-controller="Category" asp-action="Delete" asp-route-id="@obj.Id"
                       class="btn btn-danger mx-1"><i class="bi bi-trash"></i>Delete</a>
                    </div>
                </td>
            </tr>  
        }
    </tbody>
</table>


